
From: Mikael Pettersson <mikpe@csd.uu.se>

Perfctr sysfs update part 3/4:
- Remove sys_perfctr_info() from x86-64.

Signed-off-by: Mikael Pettersson <mikpe@csd.uu.se>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/x86_64/ia32/ia32entry.S     |    5 ++---
 25-akpm/include/asm-x86_64/ia32_unistd.h |   13 ++++++-------
 25-akpm/include/asm-x86_64/unistd.h      |   12 +++++-------
 3 files changed, 13 insertions(+), 17 deletions(-)

diff -puN arch/x86_64/ia32/ia32entry.S~perfctr-sysfs-update-3-4-x86-64 arch/x86_64/ia32/ia32entry.S
--- 25/arch/x86_64/ia32/ia32entry.S~perfctr-sysfs-update-3-4-x86-64	Thu Dec  2 12:52:21 2004
+++ 25-akpm/arch/x86_64/ia32/ia32entry.S	Thu Dec  2 12:52:21 2004
@@ -591,9 +591,8 @@ ia32_sys_call_table:
 	.quad quiet_ni_syscall	/* add_key */
 	.quad quiet_ni_syscall	/* request_key */
 	.quad quiet_ni_syscall	/* keyctl */
-	.quad sys_perfctr_info
-	.quad sys_vperfctr_open		/* 290 */
-	.quad sys_vperfctr_control
+	.quad sys_vperfctr_open
+	.quad sys_vperfctr_control	/* 290 */
 	.quad sys_vperfctr_unlink
 	.quad sys_vperfctr_iresume
 	.quad sys_vperfctr_read
diff -puN include/asm-x86_64/ia32_unistd.h~perfctr-sysfs-update-3-4-x86-64 include/asm-x86_64/ia32_unistd.h
--- 25/include/asm-x86_64/ia32_unistd.h~perfctr-sysfs-update-3-4-x86-64	Thu Dec  2 12:52:21 2004
+++ 25-akpm/include/asm-x86_64/ia32_unistd.h	Thu Dec  2 12:52:21 2004
@@ -290,13 +290,12 @@
 #define __NR_ia32_mq_getsetattr	(__NR_ia32_mq_open+5)
 #define __NR_ia32_kexec		283
 #define __NR_ia32_waitid		284
-#define __NR_ia32_perfctr_info		289
-#define __NR_ia32_vperfctr_open		(__NR_ia32_perfctr_info+1)
-#define __NR_ia32_vperfctr_control	(__NR_ia32_perfctr_info+2)
-#define __NR_ia32_vperfctr_unlink	(__NR_ia32_perfctr_info+3)
-#define __NR_ia32_vperfctr_iresume	(__NR_ia32_perfctr_info+4)
-#define __NR_ia32_vperfctr_read		(__NR_ia32_perfctr_info+5)
+#define __NR_ia32_vperfctr_open		289
+#define __NR_ia32_vperfctr_control	(__NR_ia32_vperfctr_open+1)
+#define __NR_ia32_vperfctr_unlink	(__NR_ia32_vperfctr_open+2)
+#define __NR_ia32_vperfctr_iresume	(__NR_ia32_vperfctr_open+3)
+#define __NR_ia32_vperfctr_read		(__NR_ia32_vperfctr_open+4)
 
-#define IA32_NR_syscalls 295	/* must be > than biggest syscall! */
+#define IA32_NR_syscalls 294	/* must be > than biggest syscall! */
 
 #endif /* _ASM_X86_64_IA32_UNISTD_H_ */
diff -puN include/asm-x86_64/unistd.h~perfctr-sysfs-update-3-4-x86-64 include/asm-x86_64/unistd.h
--- 25/include/asm-x86_64/unistd.h~perfctr-sysfs-update-3-4-x86-64	Thu Dec  2 12:52:21 2004
+++ 25-akpm/include/asm-x86_64/unistd.h	Thu Dec  2 12:52:21 2004
@@ -556,17 +556,15 @@ __SYSCALL(__NR_mq_getsetattr, sys_mq_get
 __SYSCALL(__NR_kexec_load, sys_ni_syscall)
 #define __NR_waitid		247
 __SYSCALL(__NR_waitid, sys_waitid)
-#define __NR_perfctr_info	248
-__SYSCALL(__NR_perfctr_info, sys_perfctr_info)
-#define __NR_vperfctr_open	(__NR_perfctr_info+1)
+#define __NR_vperfctr_open	248
 __SYSCALL(__NR_vperfctr_open, sys_vperfctr_open)
-#define __NR_vperfctr_control	(__NR_perfctr_info+2)
+#define __NR_vperfctr_control	(__NR_vperfctr_open+1)
 __SYSCALL(__NR_vperfctr_control, sys_vperfctr_control)
-#define __NR_vperfctr_unlink	(__NR_perfctr_info+3)
+#define __NR_vperfctr_unlink	(__NR_vperfctr_open+2)
 __SYSCALL(__NR_vperfctr_unlink, sys_vperfctr_unlink)
-#define __NR_vperfctr_iresume	(__NR_perfctr_info+4)
+#define __NR_vperfctr_iresume	(__NR_vperfctr_open+3)
 __SYSCALL(__NR_vperfctr_iresume, sys_vperfctr_iresume)
-#define __NR_vperfctr_read	(__NR_perfctr_info+5)
+#define __NR_vperfctr_read	(__NR_vperfctr_open+4)
 __SYSCALL(__NR_vperfctr_read, sys_vperfctr_read)
 
 #define __NR_syscall_max __NR_vperfctr_read
_
